<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="playlist">


<html>
<head>
	<title>
		<xsl:value-of select="@host"/> playlists: <xsl:value-of select="@title"/>
	</title>
	<link rel="stylesheet" type="text/css" href="/images/default.css"/>
	<script language="javascript" src="/images/jscripts.js"></script>
</head>

<body link="#000000" vlink="#FF3333" alink="#CC00FF" bgcolor="#FFFFFF" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" marginheight="0" marginwidth="0" onLoad="loadColor();setTimeout('RefreshScreen()',5000);">

<xsl:choose> 
	<xsl:when test="/playlist/@allow_commands=1"> 
		<map name="buttons">
			<area alt="Top" shape="circle" coords="42, 28, 6" href="javascript:void(0)" onmousedown="javascript:ButtonRaw('0')" onmouseup="javascript:ButtonRaw('1')"/>
			<area alt="Right" shape="poly" coords="43, 38, 54, 38, 62, 42, 63, 47, 55, 52, 43, 52"  href="javascript:void(0)" onmousedown="javascript:ButtonRaw('2')" onmouseup="javascript:ButtonRaw('3')"/>
			<area alt="Left" shape="poly" coords="39, 38, 30, 38, 22, 42, 22, 46, 30, 51, 39, 51" href="javascript:void(0)" onmousedown="javascript:ButtonRaw('4')" onmouseup="javascript:ButtonRaw('5')"/>
			<area alt="Bottom" shape="poly" coords="47, 56, 43, 74, 41, 73, 36, 56, 40, 54, 43, 54" href="javascript:void(0)" onmousedown="javascript:ButtonRaw('6')" onmouseup="javascript:ButtonRaw('7')"/>
		</map>
		<map name="knob">
			<area alt="Knob_Right" shape="poly" coords="23, 38, 31, 39, 36, 44, 38, 50, 39, 57, 37, 62, 33, 66, 27, 69, 24, 69, 24, 63, 30, 61, 32, 56, 32, 51, 30, 46, 23, 44" href="javascript:Button('A');"/>
			<area alt="Knob_Left" shape="poly" coords="23, 37, 14, 39, 9, 45, 7, 51, 7, 58, 10, 63, 14, 67, 19, 69, 23, 69, 23, 63, 17, 61, 15, 57, 14, 53, 17, 48, 20, 45, 23, 44" href="javascript:Button('B');"/>
			<area alt="Knob" shape="circle" coords="23, 54, 9" href="javascript:void(0)" onmousedown="javascript:ButtonRaw('8')" onmouseup="javascript:ButtonRaw('9')"/>
		</map>
	</xsl:when>
</xsl:choose>

<table width="100%" border="0" cellpadding="4" cellspacing="0">
	<tr>
		<td><img border="0" src="/images/KJlm.JPG" width="93" height="127" hspace="5" vspace="5"/></td>
		<td align="right">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="3"><img border="0" src="/images/fascia_left.gif" width="94" height="90" usemap="#buttons"/></td>
					<td><img border="0" src="/images/fascia_top.gif" width="128" height="28"/></td>
					<td rowspan="3"><img border="0" src="/images/fascia_right.gif" width="74" height="90" usemap="#knob"/></td>
				</tr>
				<tr>
					<td id="tdDisplay" background="/images/display_blank.png"><img src="/proc/empeg_screen.png" class="display" width="128" height="32" name="display" OnAbort="LoadError()" OnError="LoadError()"/></td>
				</tr>
				<tr>
					<td><img border="0" src="/images/fascia_bottom.gif" width="128" height="30"/></td>
				</tr>
			</table>
		</td>
	</tr>
</table>

<table width="100%" bgcolor="#000000" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td colspan="3"><img src="/images/pix.gif" width="1" height="1"/></td>
	</tr>
</table>

<table bgcolor="#EEEEEE" width="100%" height="26" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			<b>
				<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
				<a href="/index.html" target="_parent">Home</a> | <a href="/?fid=101&amp;ext=.xml">Playlists</a>
			</b>
		</td>
		<xsl:choose> 
			<xsl:when test="/playlist/@allow_commands=1"> 
				<form name="form">
					<td align="right">
						<select size="1" name="cmd" style="font-family: Verdana; font-size: 10pt" onChange="javascript:formHandler()">
							<option value="">(Send Command)</option>
							<option value="?serial=%20">Play</option>
							<option value="?serial=W">Pause</option>
							<option value="?button=Right.L">Fast Forward</option>
							<option value="?button=Left.L">Rewind</option>
							<option value="?button=NextTrack">Next Track</option>
							<option value="?button=PrevTrack">Previous Track</option>
							<option value="?button=VolUp.L">Volume Up</option>
							<option value="?button=VolDown.L">Volume Down</option>
							<option value="?button=Info">Info Mode</option>
							<option value="?button=Shuffle">Toggle Shuffle</option>
							<option value="?button=Visual">Next Visual</option>
							<option value="?button=Top.L">Sleep</option>
							<option value="?button=Bottom">Menu Enter</option>
							<option value="?button=Left">Menu Left</option>
							<option value="?button=Right">Menu Right</option>
							<option value="?button=Top">Menu Back</option>
						</select>
					</td>
				</form>
				<td align="right" width="131"><a href="javascript:void(0)" onMouseOver="MM_showHideLayers('popup','','show')"><img name="program1" src="/images/show_remote.gif" border="0"/></a></td>
			</xsl:when>
		</xsl:choose>
	</tr>
</table>

<table width="100%" bgcolor="#000000" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td colspan="3"><img src="/images/pix.gif" width="1" height="1"/></td>
	</tr>
</table>

<table width="100%" border="0" cellpadding="10" cellspacing="0">
	<tr>
		<td>
			<table border="1" cellspacing="0" cellpadding="2">

				<thead bgcolor="#EEEEEE">
					<tr>
						<td>
							<a>
								<xsl:attribute name="href">?fid=<xsl:value-of select="@tagfid"/>&amp;ext=.m3u</xsl:attribute>
								<b>Stream</b>
							</a>
						</td>
						<xsl:choose> 
							<xsl:when test="/playlist/@allow_commands=1"> 
								<td>
									<a>
										<xsl:attribute name="href">?SERIAL=%23<xsl:value-of select="@fid"/>&amp;fid=<xsl:value-of select="@tagfid"/>&amp;ext=.xml</xsl:attribute>
										<b>Play</b>
									</a>
								</td>
							</xsl:when>
						</xsl:choose>
						<td align="center">
							<b><xsl:value-of select="@title"/></b>
						</td>
						<td><b>Length</b></td>
						<td><b>Type</b></td>
						<td><b>Artist</b></td>
						<td><b>Source</b></td>
					</tr>
				</thead>	
				<tbody>
					<xsl:apply-templates select="items"/>
				</tbody>
			</table>
		</td>
	</tr>
</table>

<div id="popup" style="position:absolute; z-index:3; right: 0px; top: 99px; visibility: hidden">
<table align="right" cellSpacing="0" cellPadding="0" border="0"  onMouseOver="MM_showHideLayers('popup','','show')" onMouseOut="MM_showHideLayers('popup','','hide')" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" colspan="4"><img src="/images/pix.gif" border="0" width="131" height="27"/></td>
  </tr>
  <tr>
    <td><img border="0" src="/images/rioremote/rio_1.gif" width="45" height="26"/></td>
    <td><img border="0" src="/images/rioremote/rio_9.gif" width="35" height="26"/></td>
    <td><img border="0" src="/images/rioremote/rio_17.gif" width="35" height="26"/></td>
    <td><img border="0" src="/images/rioremote/rio_25.gif" width="45" height="26"/></td>
  </tr>
  <tr>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF00')" onmouseup="javascript:ButtonRaw('8020DF00')">
    <img border="0" src="/images/rioremote/rio_2.gif" width="45" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF01')" onmouseup="javascript:ButtonRaw('8020DF01')">
    <img border="0" src="/images/rioremote/rio_10.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF06')" onmouseup="javascript:ButtonRaw('8020DF06')">
    <img border="0" src="/images/rioremote/rio_18.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF03')" onmouseup="javascript:ButtonRaw('8020DF03')">
    <img border="0" src="/images/rioremote/rio_26.gif" width="45" height="35"/></a></td>
  </tr>
  <tr>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF04')" onmouseup="javascript:ButtonRaw('8020DF04')">
    <img border="0" src="/images/rioremote/rio_3.gif" width="45" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF05')" onmouseup="javascript:ButtonRaw('8020DF05')">
    <img border="0" src="/images/rioremote/rio_11.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF06')" onmouseup="javascript:ButtonRaw('8020DF06')">
    <img border="0" src="/images/rioremote/rio_19.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF07')" onmouseup="javascript:ButtonRaw('8020DF07')">
    <img border="0" src="/images/rioremote/rio_27.gif" width="45" height="35"/></a></td>
  </tr>
  <tr>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF08')" onmouseup="javascript:ButtonRaw('8020DF08')">
    <img border="0" src="/images/rioremote/rio_4.gif" width="45" height="34"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF09')" onmouseup="javascript:ButtonRaw('8020DF09')">
    <img border="0" src="/images/rioremote/rio_12.gif" width="35" height="34"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF0A')" onmouseup="javascript:ButtonRaw('8020DF0A')">
    <img border="0" src="/images/rioremote/rio_20.gif" width="35" height="34"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF0B')" onmouseup="javascript:ButtonRaw('8020DF0B')">
    <img border="0" src="/images/rioremote/rio_28.gif" width="45" height="34"/></a></td>
  </tr>
  <tr>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF0C')" onmouseup="javascript:ButtonRaw('8020DF0C')">
    <img border="0" src="/images/rioremote/rio_5.gif" width="45" height="34"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF0D')" onmouseup="javascript:ButtonRaw('8020DF0D')">
    <img border="0" src="/images/rioremote/rio_13.gif" width="35" height="34"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF0E')" onmouseup="javascript:ButtonRaw('8020DF0E')">
    <img border="0" src="/images/rioremote/rio_21.gif" width="35" height="34"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF0F')" onmouseup="javascript:ButtonRaw('8020DF0F')">
    <img border="0" src="/images/rioremote/rio_29.gif" width="45" height="34"/></a></td>
  </tr>
  <tr>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF10')" onmouseup="javascript:ButtonRaw('8020DF10')">
    <img border="0" src="/images/rioremote/rio_6.gif" width="45" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF11')" onmouseup="javascript:ButtonRaw('8020DF11')">
    <img border="0" src="/images/rioremote/rio_14.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF12')" onmouseup="javascript:ButtonRaw('8020DF12')">
    <img border="0" src="/images/rioremote/rio_22.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF13')" onmouseup="javascript:ButtonRaw('8020DF13')">
    <img border="0" src="/images/rioremote/rio_30.gif" width="45" height="35"/></a></td>
  </tr>
  <tr>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF14')" onmouseup="javascript:ButtonRaw('8020DF14')">
    <img border="0" src="/images/rioremote/rio_7.gif" width="45" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF15')" onmouseup="javascript:ButtonRaw('8020DF15')">
    <img border="0" src="/images/rioremote/rio_15.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF16')" onmouseup="javascript:ButtonRaw('8020DF16')">
    <img border="0" src="/images/rioremote/rio_23.gif" width="35" height="35"/></a></td>
    <td><a href="javascript:void(0)" onmousedown="javascript:ButtonRaw('20DF17')" onmouseup="javascript:ButtonRaw('8020DF17')">
    <img border="0" src="/images/rioremote/rio_31.gif" width="45" height="35"/></a></td>
  </tr>
  <tr>
    <td><img border="0" src="/images/rioremote/rio_8.gif" width="45" height="18"/></td>
    <td><img border="0" src="/images/rioremote/rio_16.gif" width="35" height="18"/></td>
    <td><img border="0" src="/images/rioremote/rio_24.gif" width="35" height="18"/></td>
    <td><img border="0" src="/images/rioremote/rio_32.gif" width="45" height="18"/></td>
  </tr>
</table>

</div>

</body>
</html>

</xsl:template>

<xsl:template match="items">

	<xsl:for-each select="item">

	<tr>
		<xsl:attribute name="bgcolor">
			<xsl:choose>
				<xsl:when test = "(position() mod 2 =0)">EEEEEE</xsl:when>
				<xsl:when test = "(position() mod 2 =1)">FFFFFF</xsl:when>
			</xsl:choose>
		</xsl:attribute>

		<td align="center">
			<a>
				<xsl:attribute name="href">?fid=<xsl:value-of select="tagfid"/>&amp;ext=.m3u</xsl:attribute>
				<img src="/images/icon_stream.gif" height="16" width="16" border="0"/>
			</a>
		</td>

		<xsl:choose> 
			<xsl:when test="/playlist/@allow_commands=1"> 
				<td align="center">
					<a>
						<xsl:attribute name="href">?SERIAL=%23<xsl:value-of select="fid"/>&amp;fid=<xsl:value-of select="/playlist/@tagfid"/>&amp;ext=.xml</xsl:attribute>
						<img src="/images/icon_play.gif" height="16" width="16" border="0"/>
					</a>
				</td>
			</xsl:when>
		</xsl:choose>

		<td>
			<a>
				<xsl:choose>
					<xsl:when test="type[.='tune']">
						<xsl:attribute name="href">?fid=<xsl:value-of select="fid"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="href">?fid=<xsl:value-of select="tagfid"/>&amp;ext=.xml</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="title"/>
			</a>
		</td>
		<td align="center">
			<xsl:choose>
				<xsl:when test="type[.='tune']">
					<xsl:value-of select="duration"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="length"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>

		<td>
			<xsl:value-of select="type"/>
		</td>

		<td>
			<xsl:value-of select="artist"/>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>

		<td>
			<xsl:value-of select="source"/>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>


</xsl:stylesheet>
